| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# THistSvc::GlobalDirectoryRestore Class Reference

List of all members.

## Detailed Description

Definition at line 76 of file THistSvc.h.

## Public Member Functions
| GlobalDirectoryRestore ()
| ~GlobalDirectoryRestore ()
## Private Attributes
TDirectory * | m_gd
TFile * | m_gf
int | m_ge

## Constructor & Destructor Documentation

THistSvc::GlobalDirectoryRestore::GlobalDirectoryRestore | ( |  | ) |

Definition at line 1235 of file THistSvc.cpp.

References m_gd, m_ge, and m_gf.

    01235                                                        {
    01236   m_gd = gDirectory;
    01237   m_gf = gFile;
    01238   m_ge = gErrorIgnoreLevel;
    01239 }

THistSvc::GlobalDirectoryRestore::~GlobalDirectoryRestore | ( |  | ) |

Definition at line 1241 of file THistSvc.cpp.

References m_gd, m_ge, and m_gf.

    01241                                                         {
    01242   gDirectory = m_gd;
    01243   gFile = m_gf;
    01244   gErrorIgnoreLevel = m_ge;
    01245 }

## Member Data Documentation

TDirectory* THistSvc::GlobalDirectoryRestore::m_gd`[private]`

Definition at line 81 of file THistSvc.h.

Referenced by GlobalDirectoryRestore(), and ~GlobalDirectoryRestore().

TFile* THistSvc::GlobalDirectoryRestore::m_gf`[private]`

Definition at line 82 of file THistSvc.h.

Referenced by GlobalDirectoryRestore(), and ~GlobalDirectoryRestore().

int THistSvc::GlobalDirectoryRestore::m_ge`[private]`

Definition at line 83 of file THistSvc.h.

Referenced by GlobalDirectoryRestore(), and ~GlobalDirectoryRestore().

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiSvc/v17r1/src/THistSvc/THistSvc.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiSvc/v17r1/src/THistSvc/THistSvc.cpp